/*
Theme Name: Aurum - Child Theme
Theme URI: https://laborator.co/themes/aurum/
Author: Laborator
Author URI: http://laborator.co/
Description: Use this theme if you want to extend features of Aurum theme or prevent overwriting the changes you make when new theme update is available.
Version: 1.0
Template: aurum
Text Domain: aurum
*/

@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Tangerine:wght@400;700&display=swap");
:root {
  /* Typography */
  --title-font: "Poppins", sans-serif;
  --text-font: "Inter", sans-serif;
  --hero-font: "Tangerine", sans-serif;
  --font-size: 18px;
  --cta-size: 18px;
  --header-links-size: 16px;
  --title-weight: 600;
  --title-line-height: 0.85;

  /* Colors */
  --text-color: black;
  --primary-bg: #f5f5f5;
  --secondary-bg: #f2e6d9;
  --title-color: #313457;
  --accent-color: #c89f6c;
  --border-color: #c89f6c;
  --overlay-color: rgba(0, 0, 0, 0.45);
  /* SPACING */
  --padding-inline: 30px;
  --padding-block: 50px;
  --logo-size: 120px;
}

/* RESET */

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}
body {
  font-family: var(--text-font);
  font-size: var(--font-size);
  color: var(--text-color);
  background-color: var(--primary-bg);
  overflow-x: hidden;
  width: 100vw;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--title-font);
  color: var(--title-color);
  margin: 0;
  padding: 0;
  line-height: var(--title-line-height);
  text-transform: none !important;
}
h1 {
  font-size: clamp(40px, 10vw, 100px);
}
h2 {
  font-size: clamp(30px, 8vw, 80px);
}
h3 {
  font-size: clamp(25px, 6vw, 60px);
}

a,
a:visited {
  text-decoration: none;
  color: var(--accent-color);
}
a:hover {
  text-decoration: underline;
  color: var(--accent-color);
}
p {
  margin: 0;
  padding: 0;
  font-size: var(--font-size);
  font-family: var(--text-font);
}
strong {
  color: var(--accent-color);
}
ul {
  margin: 0;
  padding: 0;
  list-style: none;
}
section {
  margin: 0;
  padding: 0;
}
body > section {
  padding: var(--padding-block) var(--padding-inline);
  min-height: 100vh;
}
.main-cta {
  background-color: var(--accent-color);
  color: white !important;
  font-weight: 700;
  padding: 10px 20px;
  border-radius: 0;
  text-transform: uppercase;
  font-size: var(--cta-size);
  transition: all 0.3s ease-in-out;
  position: relative;
  overflow: hidden;
  border: 1px solid transparent;
  display: block;
  max-width: fit-content;
}

.main-cta:hover {
  color: var(--accent-color) !important;
  background-color: white;
  border: 1px solid var(--accent-color);
  text-decoration: none;
}

/* 01. Header */
header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  z-index: 1200;
  opacity: 0;
  pointer-events: none;
  transition: all 0.5s ease-in-out;
  border: 1px solid var(--accent-color);
  border-radius: 20px;
  max-width: calc(100% - 60px);
  margin: 20px auto 0;
  left: 50%;
  transform: translateX(-50%) scaleX(0);
  background: rgba(255, 255, 255, 0.65);
  backdrop-filter: blur(3px);
  padding: 0 15px;
  transform-origin: left;
}
header.visible {
  transform: translateX(-50%) scaleX(1);

  opacity: 1;
  pointer-events: all;
}
#headerBox {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}
#logo {
  display: flex;
  justify-content: center;
  align-items: center;
}
#logo a {
  display: block;
  height: 100%;
  width: fit-content;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
#logo a svg {
  width: var(--logo-size);
  height: auto;
}
#hamburger {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  cursor: pointer;
}
#hamburger span {
  display: block;
  width: 30px;
  height: 3px;
  background-color: var(--accent-color);
  margin: 5px 0;
  transition: all 0.3s ease-in-out;
  position: relative;
}
#hamburger span::after,
#hamburger span::before {
  content: "";
  display: block;
  width: 30px;
  height: 3px;
  position: absolute;
  background-color: var(--accent-color);
  transition: all 0.3s ease-in-out;
}
#hamburger span::after {
  top: 10px;
}
#hamburger span::before {
  top: -10px;
}
#hamburger.active span {
  background-color: transparent;
}
#hamburger.active span::after,
#hamburger.active span::before {
  top: 0;
}
#hamburger.active span::after {
  transform: rotate(45deg);
}
#hamburger.active span::before {
  transform: rotate(-45deg);
}
#menu {
  display: flex;
  align-items: center;
  justify-content: end;
  width: 100%;
  height: 0;
  opacity: 0;
  overflow: hidden;
  transition: all 0.5s ease-in-out;
}
#menu.visible {
  height: 40px;
  opacity: 1;
}
#menu ul {
  display: flex;
  align-items: center;
  justify-content: center;
  /* gap: 50px; */
}
#menu ul li {
  flex: 1;
  padding: 0;
  text-align: center;
  transition: all 0.3s ease-in-out;
}

#menu ul li a {
  font-size: var(--header-links-size);
  transition: all 0.3s ease-in-out;
  font-weight: 800;
  text-decoration: none !important;
}

#menu ul li:not(:first-of-type) {
  border-left: 1px solid var(--accent-color);
  /* border-right: 1px solid var(--accent-color); */
}
#menu .menu-menu-container {
  width: 100%;
}
/* 02. HOME */
.hero {
  width: 100%;
  height: 100vh;
  position: relative;
  padding: 0 !important;
}
.heroImg {
  width: 100%;
  height: 100%;
  position: relative;
}
.heroImg::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--overlay-color);
  z-index: 2;
}
.heroImg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.heroText {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 3;
  width: 70%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.heroText h1 {
  color: white;
  text-align: center;
  font-family: var(--hero-font);
  margin-bottom: 30px;
}
.heroText p {
  color: white;
  text-align: center;
  /* font-family: var(--hero-font); */
  margin-bottom: 30px;
  /* font-size: clamp(60px, 7vw, 80px); */
  /* line-height: 0.8; */
}
.scroll-overlay {
  position: relative;
  overflow: hidden;
}
.img-overlay {
  position: absolute;
  top: 0;
  width: 20%;
  height: 100%;
  background-color: white;
  z-index: 999;
  transition: all 1s ease-in-out;
}
.img-overlay:nth-child(1) {
  left: 0;
}
.img-overlay:nth-child(2) {
  left: 20%;
}
.img-overlay:nth-child(3) {
  left: 40%;
}
.img-overlay:nth-child(4) {
  left: 60%;
}
.img-overlay:nth-child(5) {
  left: 80%;
}
.scroll-overlay.scrolled .img-overlay:nth-child(even) {
  transform: translateY(-110%);
}
.scroll-overlay.scrolled .img-overlay:nth-child(odd) {
  transform: translateY(110%);
}

#servizi {
  margin: 0;
  padding: var(--padding-block) var(--padding-inline);
  background-color: var(--primary-bg);
}
#servizi-container {
  display: flex;
  align-items: start;
  justify-content: space-between;
  gap: 5%;
  padding-bottom: 150px;
}
.sticky {
  position: sticky !important;
  top: 180px;
}
.servizi-text {
  flex: 1;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 30px;
  position: sticky !important;
  top: 150px;
}
#servizi-Box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
  gap: 250px;
  flex: 1;
}
.service {
  width: 100%;
  height: 400px;
  position: relative;
  border: 1px solid var(--border-color);
  transform-origin: center center;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
  border-radius: 30px;
  overflow: hidden;
}
.service::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--overlay-color);
  z-index: 2;
}

.service-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.service-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  z-index: 3;
  width: 70%;
}
.service-text h4 {
  color: white;
  margin-bottom: 20px;
  font-weight: 800;
}
/* REviews */
#reviews {
  background-color: var(--secondary-bg);
  height: auto!important;
  min-height: auto!important;
}
#reviews h3,
#reviews p {
  margin-bottom: 30px;
  text-align: center;
}
#reviews .main-cta {
  margin: 0 auto;
}
.sb-btn {
  border-radius: 0 !important;
}
.sb-post-item-wrap {
  background: white;
  border-radius: 30px;
  padding: 30px !important;
  box-shadow: black;
  box-shadow: 1px 1px 16px -10px #000000;
}
.scroll-container {
  width: 400%;
  height: 100vh;
  display: flex;
  flex-wrap: nowrap;
  overflow-x: hidden;
  padding: 0 !important;
}
.panel {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  border: none;
  width: 100vw;
  margin-bottom: 0 !important;
}
.panel .panel-img {
  width: 100%;
  height: 100%;
  position: relative;
  opacity: 0;
  transition: all 0.5s ease-in-out;
}
.panel .panel-img::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--overlay-color);
  z-index: 2;
}
.panel .panel-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0.5;
  transition: all 0.5s ease-in-out;
}
.panel-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -45%);
  opacity: 0;
  text-align: center;
  z-index: 3;
  width: 70%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 30px;
  transition: all 0.5s ease-in-out;
  transition-delay: 0.5s;
}
.panel-text h5 {
  font-family: var(--hero-font);
  color: white;
  font-size: 10vw;
}

.panel.active .panel-text {
  transform: translate(-50%, -50%);
  opacity: 1;
}
.panel.active .panel-img img,
.panel.active .panel-img {
  opacity: 1;
}
/* CURSOR */
.cursor {
  display: block;
  width: 30px;
  height: 30px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%);
  border-radius: 50%;
  background: transparent;
  pointer-events: none;
  z-index: 12000;
  border: 1px solid var(--accent-color);
  transition: all 0.2s ease-out;
  animation: moveCursor1 0.5s infinite alternate;
}

.expand {
  background: transparent;
  animation: moveCursor2 0.5s forwards;
  border: 1px solid var(--accent-color);
}
/* CONTATTI */
#Contatti {
  display: flex;
  align-items: start;
  justify-content: space-between;
  gap: 5%;
  padding-top: 150px;
  padding-inline: 50px;
  max-width: 1500px;
  margin: 0 auto;
}
#contatti-text {
  flex: 1;
  text-align: center;
}
#contatti-text h3 {
  margin-bottom: 30px;
}
#contatti-text ul li {
  margin-bottom: 10px;
  font-size: 18px;
}
#contactForm {
  flex: 1;
}
#contactForm > div {
  width: 70%;
}
input[type="text"],
input[type="text"]:focus,
input[type="email"],
input[type="email"]:focus {
  border: none;
  border-bottom: 2px solid var(--border-color);
  padding: 10px;
  margin-bottom: 30px;
  width: 100%;
  font-size: 16px;
  background-color: var(--primary-bg);
  border-radius: 0 !important;
  outline: none !important;
  box-shadow: none !important;
}
textarea,
textarea:focus {
  background-color: var(--primary-bg);
  padding: 10px;
  margin-bottom: 30px;
  font-size: 16px;
  border: 2px solid var(--border-color);
  border-radius: 0 !important;
  outline: none !important;
  box-shadow: none !important;
  width: 100%;
}
input::placeholder,
textarea::placeholder {
  text-transform: uppercase;
  font-weight: 300;
  color: var(--accent-color);
  font-size: 14px;
}
input[type="file"] {
  width: 100%;
  margin: 30px 0;
  font-size: 16px;
  border-radius: 0 !important;
  outline: none !important;
  box-shadow: none !important;
}
.form-suggest {
  margin-bottom: 15px;
  color: var(--title-color);
  font-size: 14px;
}
input[type="radio"] {
  border: 2px solid var(--border-color);
}
input[type="radio"][name="radio-98"],
.wpcf7-list-item.first {
  margin-left: 0;
}
input[type="submit"] {
  background-color: var(--accent-color);
  color: white;
  font-weight: 700;
  padding: 10px 20px;
  border-radius: 0;
  text-transform: uppercase;
  font-size: var(--cta-size);
  transition: all 0.3s ease-in-out;
  position: relative;
  overflow: hidden;
  border: 1px solid transparent;
  display: block;
  max-width: fit-content;
  margin: 30px auto 0;
}
input[type="submit"]:hover {
  color: var(--accent-color);
  background-color: white;
  border: 1px solid var(--accent-color);
  text-decoration: none;
}
#map {
  display: block;
  width: 100%;
  height: 400px;
  padding: 0;
  min-height: 400px;
}
#map iframe {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
@keyframes moveCursor1 {
  from {
    transform: scale(1);
  }

  to {
    transform: scale(0.8);
  }
}

@keyframes moveCursor2 {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(2.5);
  }

  100% {
    transform: scale(1);
    opacity: 0;
  }
}
footer {
  width: 100%;
  background-color: var(--primary-bg);
  border-top: 1px solid var(--border-color);
}
.footer-logo {
  display: flex;
  align-items: center;
  justify-content: start;
  flex: 1;
  padding: 30px 30px 0;
}
.footer-logo svg {
  width: 100px;
}
.footer-container {
  width: 100%;
  display: flex;
  align-items: start;
  justify-content: start;
  border-bottom: 1px solid var(--border-color);
  padding: 30px;
}
.footer-links {
  flex: 1;
  display: flex;
  align-items: start;
  justify-content: start;
}
.footer-links a,
.footer-links li {
  font-size: 14px;
  color: var(--accent-color);
}
#bottombar {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
  background-color: var(--accent-color);
}
#bottombar p {
  color: white;
  font-size: 15px;
  margin: 0;
  padding: 15px;
}

.Marquees {
  overflow-x: hidden;
  background-color: var(--accent-color);
  height: 70px;
}
.Marquee {
  display: flex;
  align-items: center;
  justify-content: start;
  width: fit-content;
  height: 100%;
}
.marquee {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  width: 250px;
  margin: 10px;
  border-radius: 15px;
}

.marquee a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
  padding: 10px 30px;
}
.icon {
  width: 100%;
  height: 100%;
  object-fit: contain;
  max-height: 150px;
}
.FirstRow {
  animation: Scroll 20s linear infinite;
}
#chi-siamo h3{
margin-bottom: 50px;
}
#chi-siamo-text{
  display: flex;
  flex-direction: column;
  gap: 40px;
}
#chi-siamo-text .main-cta{
  margin: 0 auto;
}
@keyframes Scroll {
  0% {
    transform: translateX(0);
    -webkit-transform: translateX();
  }
  100% {
    transform: translateX(-100%);
    -webkit-transform: translateX(-100%);
  }
}

/* BLOG */
.articoli-grid{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
}
.articolo-img{
  width: 100%;
  height: 300px;
  border-radius: 10px;
  overflow: hidden;
}
.articolo-img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  scale: 1;
  transition: all 0.3s ease-in-out;
}
.articolo:hover .articolo-img img{
  transform: scale(1.1);
}
.articolo-text{
  margin-top: 20px;
}
.articolo-text h3{
  margin-bottom: 10px;
  font-size: 30px;
  line-height: 1.1;
}
.articolo-text p{
  margin-bottom: 20px;
}
.articolo .main-cta{
  margin: 0 auto;
}

.post-content h1,
.post-content h2,
.post-content h3,
.post-content h4{
  margin: 30px 0;
  font-size: 30px;
  font-weight: bold;
}
@media only screen and (max-width: 768px) {
  #servizi-container {
    flex-direction: column;
    gap: 50px;
  }
  .servizi-text {
    position: static !important;
  }
  .footer-container {
    flex-direction: column;
    gap: 30px;
  }
  #Contatti {
    flex-direction: column;
    gap: 30px;
  }
  #Contatti > div,
  #contactForm > div {
    width: 100%;
  }
  .heroText {
    width: 90%;
  }
  .articoli-grid{
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 640px) {
  :root {
    --mobile-px: 10px;
   --logo-size: 80px;
  }
  #menu.visible {
    height: 150px;
    opacity: 1;
    padding-bottom: 50px;
  }
  #menu ul {
    flex-direction: column;
    height: fit-content;
    align-items: start;
    gap: 5px;
  }
  #menu ul li:nth-child(even) {
    border: none;
  }
  header {
    max-width: calc(100% - (var(--mobile-px) * 2));
  }
  #servizi,
  #reviews, 
  #Contatti {
    padding-inline: var(--mobile-px);
  }
  .articoli-grid{
    grid-template-columns: repeat(1, 1fr);
  }
  .service {
    width: 85%;}
    .cursor{
      display: none!important;
    }
}


header #menu .menu{width: 100%;!important}